umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | List of all members
DiagramSelectionDialog Class Reference

`#include <diagramselectiondialog.h>`

Inheritance diagram for DiagramSelectionDialog:

## Public Member Functions
| DiagramSelectionDialog (DiagramPrintPage *page, QWidget *parent=0)
| ~DiagramSelectionDialog ()
Public Member Functions inherited from SinglePageDialogBase
| SinglePageDialogBase (QWidget *parent, bool withApplyButton=false, bool withSearchButton=false)
virtual | ~SinglePageDialogBase ()
virtual bool | apply ()

## Additional Inherited Members
Protected Slots inherited from SinglePageDialogBase
void | slotApply ()
void | slotOk ()
Protected Member Functions inherited from SinglePageDialogBase
virtual bool | validate ()

## Constructor & Destructor Documentation

## ◆ DiagramSelectionDialog()

DiagramSelectionDialog::DiagramSelectionDialog | ( | DiagramPrintPage * | page,
|  | QWidget * | parent = `0`
| ) |  |
| explicit

## ◆ ~DiagramSelectionDialog()

DiagramSelectionDialog::~DiagramSelectionDialog | ( |  | ) |

The documentation for this class was generated from the following files:

- umbrello/dialogs/diagramselectiondialog.h
- umbrello/dialogs/diagramselectiondialog.cpp